//
//  WriteReviewViewController.h
//  iAppsReview
//
//  Created by Kevin McNeish on 5/29/13.
//  Copyright (c) 2013 Oak Leaf Enterprises, Inc. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "UIViewController+mmExtensions.h"
#import "mmStarRating.h"
#import "AppCategoryViewController.h"

@interface WriteReviewViewController : UITableViewController
	<UIImagePickerControllerDelegate, UINavigationControllerDelegate,
	UITextViewDelegate, StarRatingDelegate, AppCategoryDelegate>

@property (weak, nonatomic) IBOutlet UITextView *tvwReview;
@property (weak, nonatomic) IBOutlet UITextField *txtAppName;
@property (weak, nonatomic) IBOutlet UIImageView *imgThumbNail;
@property (weak, nonatomic) IBOutlet UIBarButtonItem *btnShare;
@property (weak, nonatomic) IBOutlet mmStarRating *starRating;
@property (weak, nonatomic) IBOutlet UIButton *btnPost;
@property (weak, nonatomic) IBOutlet UITableViewCell *appCategoryCell;

- (IBAction)shareReview:(id)sender;
- (IBAction)accessPhotoLibrary:(id)sender;
- (IBAction)appNameChanged:(id)sender;
- (IBAction)postReview:(id)sender;

@end
